Bug 22082 - сносит kde
: сносит kde
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/branding-school-master-graphics)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
:
: distro-blocker
:
: 19564
  Show dependency tree
 
Reported: 2009-10-27 16:45 by
Modified: 2010-10-27 07:39 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-10-27 16:45:19
1. Из-за ошибки в пакете сноситься KDE4
2. Реально пакет не предоставляет design-graphics-default, это обман.
3. Обсолетить чужой пакет без ведома -- некультурно.
4. Тому, кто посоветовал так сделать -- по ушам передайте.

http://www.altlinux.org/Design/Graphics

P.S.
У Сas можно проконсультироваться, т.к. как он недавно делал правильный(на
сегодня) пакет с дизайном

P.P.S.
У меня почти созрела идея, как облегчить процесс упаковки дизайна, но до
реализации дойдет, видимо, уже после выхода дистрибутивов.
------- Comment #1 From 2009-10-27 19:16:06 -------
Как сделали - единственный способ не допустить в Школьный Мастер протухший
design-graphics-default. Ибо нефиг провайдить в design-graphics-default версию
с alt2.

Предлагаю удалить из Сизифа все пакеты design-graphics-* (по аналогии с
indexhtml-*, потому что дистрибутивы с ними собирать очень сложно).
------- Comment #2 From 2009-10-27 20:10:33 -------
(В ответ на комментарий №1)
> Как сделали - единственный способ не допустить в Школьный Мастер
В следющий раз консультируйтесь, чтоб найти 2-й единственный способ(правильный)

> протухший design-graphics-default.
Он не может быть протухшим в принципе, т.к. это upstream.

> Ибо нефиг провайдить в design-graphics-default версию
> с alt2.
Это нормально. В идеале design-graphics-default должен провайдить самую высокую
версию.

> Предлагаю удалить из Сизифа все пакеты design-graphics-* (по аналогии с
> indexhtml-*, потому что дистрибутивы с ними собирать очень сложно).
Они не мешают. Как раз этот пакет -- единственный, кого нужно срочно удалить.
------- Comment #3 From 2009-10-27 20:13:51 -------
Для тех, кто не понял, повторяю:
design-graphics-default -- upstream
------- Comment #4 From 2009-10-27 20:16:48 -------
> В идеале design-graphics-default должен провайдить самую высокую версию.
Это может быть проблемой только если при обновлении постоянно будет пытаться
вытаскиваться design-graphics-default, если его не стояло до этого в системе

Такое есть?
------- Comment #5 From 2009-10-27 20:23:51 -------
Если кто не понял из тех, кому я уже не раз это объяснял, как решать эту
проблему, еще до появления этой баги, повторяю:

Нужно вписать свой пакет с дизайном с списки устанавливаемых пакетов до первого
пакета, требующего design-graphics.
Т.е. тупо вписать куда-то в самое начало.
------- Comment #6 From 2009-10-27 20:27:41 -------
distro-blocker поставил, т.к. мне сегодня сообщили, что дистрибутив с KDE4
будет
------- Comment #7 From 2009-10-28 10:10:53 -------
Ну что? Мне уже отправлять "исправление" типа "тем же по тому же месту" или
немного подождать?
------- Comment #8 From 2009-10-29 17:51:27 -------
*** Bug 22109 has been marked as a duplicate of this bug. ***
------- Comment #9 From 2009-11-02 19:09:53 -------
(В ответ на комментарий №7)
> Ну что? Мне уже отправлять "исправление" типа "тем же по тому же месту" или
> немного подождать?
Отправляй. Я не знаю, как можно ужиться с твоим пакетом. Может, ты знаешь?
------- Comment #10 From 2009-11-03 00:15:06 -------
(В ответ на комментарий №9)
> (В ответ на комментарий №7)
> > Ну что? Мне уже отправлять "исправление" типа "тем же по тому же месту" или
> > немного подождать?
> Отправляй. Я не знаю, как можно ужиться с твоим пакетом. Может, ты знаешь?

Сергей, не забудьте его поместить в 5.1, но проверьте собранный образ и
обновление до него, пожалуйста.
------- Comment #11 From 2009-11-03 15:06:40 -------
(В ответ на комментарий №9)
> Отправляй.
Не, я на понт брал. Слишком много <censored> получиться с еще одним таким
пакетом.

> Я не знаю, как можно ужиться с твоим пакетом. Может, ты знаешь?
Да. 3 способа, один из которых уже подробно описал.

Еще более простой:
написать в Ignore у используемого mkimage-м apt.conf все пакеты, которые тебе
мешают.

Ни один из способов может не работать, если в твоем пакете баги (см. ссылку на
инструкцию в начале).
------- Comment #12 From 2009-11-30 09:32:00 -------
ping.
Что с этой багой?
------- Comment #13 From 2010-02-17 11:57:00 -------
Исправлено.